Summary:  Squid Internet Object Cache
Name: squid
Version: 1.1.18
Release: 1
Source: http://squid.nlanr.net/Squid/1.1/%{PACKAGE_VERSION}/squid-%{PACKAGE_VERSION}-src.tar.gz
URL: http://squid.nlanr.net/
Packager: mike@nemesis.saar.de
Patch: squid-%{PACKAGE_VERSION}-misc
Copyright: distributable
Group: Networking/Daemons
BuildRoot: /var/tmp/squid


%description
Squid is a caching proxy for www/ftp/gopher
The user 'nobody' with group 'nobody' has to exist before installing the rpm
(in the RedHat-distribution it exists normally).
This version is compiled with "-DUSE_ICMP=1" and "-DRELOAD_INTO_IMS".
When setting up Squid for the first time you have manually to run 'squid -z'.
Please read the documentation-Files!!

%prep
test "${RPM_BUILD_ROOT}" && rm -fr ${RPM_BUILD_ROOT}

%setup
%patch -p1


%build
./configure \
  --prefix=/usr \
  --exec_prefix=/usr \
  --sysconfdir=/etc/squid
make all


%install
mkdir -p ${RPM_BUILD_ROOT}/var/log/squid
mkdir -p ${RPM_BUILD_ROOT}/etc/squid
mkdir -p ${RPM_BUILD_ROOT}/var/spool/cache

make \
  prefix=${RPM_BUILD_ROOT}/usr \
  exec_prefix=${RPM_BUILD_ROOT}/usr \
  sysconfdir=${RPM_BUILD_ROOT}/etc/squid \
  install
make \
  prefix=${RPM_BUILD_ROOT}/usr \
  exec_prefix=${RPM_BUILD_ROOT}/usr \
  sysconfdir=${RPM_BUILD_ROOT}/etc/squid \
  install-pinger

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp squid.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/
chmod a+x ${RPM_BUILD_ROOT}/etc/rc.d/init.d/squid.init

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d
ln -fs ../init.d/squid.init ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K07squid

mkdir ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d
ln -fs ../init.d/squid.init ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S87squid

mkdir ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d
ln -fs ../init.d/squid.init ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K07squid

for file in squid client dnsserver ftpget cachemgr.cgi pinger unlinkd ; do
strip ${RPM_BUILD_ROOT}/usr/bin/${file}
done

chown -R nobody:nobody ${RPM_BUILD_ROOT}/etc/squid
chown nobody:nobody ${RPM_BUILD_ROOT}/var/log/squid
chown nobody:nobody ${RPM_BUILD_ROOT}/var/spool/cache

mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m755 squid.logrotate ${RPM_BUILD_ROOT}/etc/cron.daily/squid.logrotate


%files
/etc/rc.d/init.d/squid.init
/etc/rc.d/rc0.d/K07squid
/etc/rc.d/rc3.d/S87squid
/etc/rc.d/rc6.d/K07squid
/usr/bin/RunCache
/usr/bin/RunAccel
/usr/bin/squid
/usr/bin/client
/usr/bin/dnsserver
/usr/bin/ftpget
/usr/bin/cachemgr.cgi
/usr/bin/pinger
/usr/bin/unlinkd
%dir /etc/squid
%config /etc/squid/squid.conf
/etc/squid/squid.conf.default
/etc/cron.daily/squid.logrotate
%dir /var/spool/cache
%dir /var/log/squid
%doc doc/HTTP-codes.txt doc/Release-Notes-1.0.txt doc/Release-Notes-1.1.txt
%doc doc/debug-levels.txt doc/icpv2-application.txt doc/icpv2-protocol.txt
%doc doc/mk-debugs.sh doc/tree.3
%doc CONTRIBUTORS COPYING ChangeLog INSTALL README QUICKSTART
